import request from '@/utils/new-request'
import dsRequest from '@/utils/dsRequest'
import { createService } from '@/utils/createRequest'
const request9518 = createService(process.env.VUE_APP_9518_API)

export function Get(enumName) {
  return request({
    url: '/enums/Get',
    method: 'get',
    params: { enumName: enumName }
  })
}

export function GetDes(enumName) {
  return request({
    url: '/enums/GetDes',
    method: 'get',
    params: { enumName: enumName }
  })
}

export function GetByUrl(url, enumName) {
  return request({
    url: url,
    method: 'get',
    params: { enumName: enumName }
  })
}

export function GetDsDes(enumName) {
  return dsRequest({
    url: '/enums/GetDes',
    method: 'get',
    params: { enumName: enumName }
  })
}
export function GetDs(enumName) {
  return dsRequest({
    url: '/enums/Get',
    method: 'get',
    params: { enumName: enumName }
  })
}
export function Get9518Des(enumName) {
  return request9518({
    url: '/enums/GetDes',
    method: 'get',
    params: { enumName: enumName }
  })
}

export function getEnumsGetDes(enumName) {
  return request9518({
    url: '/Enums/GetDes',
    method: 'get',
    params: { enumName: enumName }
  })
}

export function getModeEnum(enumName) {
  return request9518({
    url: '/enums/Get',
    method: 'get',
    params: { enumName: enumName }
  })
}
